import React from "react";
import useLanguage from "../../hooks/useLanguage";

function ProductDetailsTwo({ image, price, title, details }) {
  const language = useLanguage();
  return (
    <div className=" p-[18px] sm:min-w-[330px] min-w-[280px] bg-[] border border-[#F8EBFF] rounded-lg h-fit">
      <div className="flex flex-col sm:flex-row gap-3 h-fit justify-center items-center mb-3">
        <img src={image} alt="img" className=" rounded-lg max-w-32" />
        <h6 className=" text-lg font-bold text-dark-300 self-start notranslate">
          {price}{" "}
          <span className=" text-primary-200 notranslate">
            <br /> $ / {language["Ton"]}
          </span>
        </h6>
      </div>
      <div>
        <h3 className=" text-lg text-dark-300 font-bold mb-2 notranslate">
          {title}
        </h3>
        <div>
          {details?.map((spec) => (
            <p key={spec.id} className=" text-sm text-[#65656C] py-1">
              {spec.key.key} :
              <span className=" text-primary-200 font-medium pl-2 notranslate">
                {spec.specification}
              </span>
            </p>
          ))}
        </div>
      </div>
    </div>
  );
}

export default ProductDetailsTwo;
